FreeMat

- Main Page
- Related Pages

COT Trigonometric Cotangent Function

Section: Mathematical Functions

# Usage

Computes the `cot` function for its argument. The general syntax for its use is

      y = cot(x)

where `x` is an `n`-dimensional array of numerical type. Integer types are promoted to the `double` type prior to calculation of the `cot` function. Output `y` is of the same size and type as the input `x`, (unless `x` is an integer, in which case `y` is a `double` type).

# Internals

Mathematically, the `cot` function is defined for all arguments `x` as

For complex valued arguments `z`, the cotangent is computed via

# Example

The following piece of code plots the real-valued `cot(x)` function over the interval `[-1,1]`:

    --> t = linspace(-1,1);
    --> plot(t,cot(t))